AkaiVolume Class Reference

Subdivision of an AKAI disk partition. More...

`#include <Akai.h>`

## Public Member Functions

AkaiDirEntry | GetDirEntry ()
uint | ListPrograms (std::list< AkaiDirEntry > &rPrograms)
AkaiProgram * | GetProgram (uint Index)
AkaiProgram * | GetProgram (const String &rName)
uint | ListSamples (std::list< AkaiDirEntry > &rSamples)
AkaiSample * | GetSample (uint Index)
AkaiSample * | GetSample (const String &rName)
AkaiPartition * | GetParent ()
bool | IsEmpty ()
uint | GetOffset ()
uint | Acquire ()
uint | Release ()

## Protected Member Functions

void | SetOffset (uint Offset)
void | AkaiToAscii (char *buffer, int length)
int | ReadFAT (DiskImage *pDisk, AkaiPartition *pPartition, int block)
bool | ReadDirEntry (DiskImage *pDisk, AkaiPartition *pPartition, AkaiDirEntry &rEntry, int block, int pos)

## Detailed Description

Subdivision of an AKAI disk partition.

An AKAI volume is a further subdivision of an AKAI disk partition.

An AKAI volume actually provides access to the list of instruments (programs) and samples. Samples referenced by an instrument (program) are always part of the same volume.

Definition at line 618 of file Akai.h.

## Member Function Documentation

## Acquire()

uint Resource::Acquire | ( |  | ) |

inline inherited

Definition at line 183 of file Akai.h.

## AkaiToAscii()

void AkaiDiskElement::AkaiToAscii | ( | char * | buffer,
|  | int | length )

protected inherited

Definition at line 1239 of file Akai.cpp.

## GetDirEntry()

AkaiDirEntry AkaiVolume::GetDirEntry | ( |  | ) |

Definition at line 1002 of file Akai.cpp.

## GetOffset()

uint AkaiDiskElement::GetOffset | ( |  | ) |

inline inherited

Definition at line 220 of file Akai.h.

## GetParent()

AkaiPartition * AkaiVolume::GetParent | ( |  | ) |

inline

Definition at line 632 of file Akai.h.

## GetProgram() [1/2]

AkaiProgram * AkaiVolume::GetProgram | ( | const String & | rName | ) |

Definition at line 923 of file Akai.cpp.

## GetProgram() [2/2]

AkaiProgram * AkaiVolume::GetProgram | ( | uint | Index | ) |

Definition at line 899 of file Akai.cpp.

## GetSample() [1/2]

AkaiSample * AkaiVolume::GetSample | ( | const String & | rName | ) |

Definition at line 981 of file Akai.cpp.

## GetSample() [2/2]

AkaiSample * AkaiVolume::GetSample | ( | uint | Index | ) |

Definition at line 957 of file Akai.cpp.

## IsEmpty()

bool AkaiVolume::IsEmpty | ( |  | ) |

Definition at line 1007 of file Akai.cpp.

## ListPrograms()

uint AkaiVolume::ListPrograms | ( | std::list< AkaiDirEntry > & | rPrograms | ) |

Definition at line 886 of file Akai.cpp.

## ListSamples()

uint AkaiVolume::ListSamples | ( | std::list< AkaiDirEntry > & | rSamples | ) |

Definition at line 944 of file Akai.cpp.

## ReadDirEntry()

bool AkaiDiskElement::ReadDirEntry | ( | DiskImage * | pDisk,
|  | AkaiPartition * | pPartition,
|  | AkaiDirEntry & | rEntry,
|  | int | block,
|  | int | pos )

protected inherited

Definition at line 1191 of file Akai.cpp.

## ReadFAT()

int AkaiDiskElement::ReadFAT | ( | DiskImage * | pDisk,
|  | AkaiPartition * | pPartition,
|  | int | block )

protected inherited

Definition at line 1182 of file Akai.cpp.

## Release()

uint Resource::Release | ( |  | ) |

inline inherited

Definition at line 187 of file Akai.h.

## SetOffset()

void AkaiDiskElement::SetOffset | ( | uint | Offset | ) |

inline protected inherited

Definition at line 226 of file Akai.h.

The documentation for this class was generated from the following files:

- Akai.h
- Akai.cpp